Subject: Re: ssh-host-config problem on windows 2003, please help.
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Charles Wilson <[email-masked]>
Date: Mon, 8 Dec 2008 16:13:50 +0100
List-Id: <cygwin.cygwin.com>

On Dec  2 12:45, T Z wrote:
> I am trying to automate my cygwin install on a windows 2003 box
> [...]
> but when I then run
> c:\cygwin\bin\bash.exe --login /usr/bin/ssh-host-config --yes --cygwin ntsec --pwd loser as the administrator of the pc (not in domain) it seems to run fine thru most if the script but then when it gets to the line where it asks if you want to change the user of cyg_server it is AUTOMATICALLY answering yes which then I have to retype it in.  I am running version 2.573.2.3
> 
> what is the problem.  Can someone please help?

This (untested) patch to the service helper script
/usr/share/csih/cygwin-service-installation-helper.sh
should fix that problem.

Index: cygwin-service-installation-helper.sh
===================================================================
RCS file: /sourceware/projects/cygwin-apps-home/cvsfiles/csih/cygwin-service-installation-helper.sh,v
retrieving revision 1.15
diff -u -p -r1.15 cygwin-service-installation-helper.sh
--- cygwin-service-installation-helper.sh	22 Aug 2008 03:56:43 -0000	1.15
+++ cygwin-service-installation-helper.sh	8 Dec 2008 15:10:36 -0000
@@ -2277,7 +2277,7 @@ csih_select_privileged_username()
       echo ""
       csih_inform "This script plans to use '${username}'."
       csih_inform "'${username}' will only be used by registered services."
-      if csih_request "Do you want to use a different name?"
+      if ! csih_request "Do you want to use this account name for running this service?"
       then
         csih_get_value "Enter the new user name:"
         username="${csih_value}"

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/